Share on FacebookTweet about this on TwitterShare on Google+

Máquina con Ubuntu 14.04 recién instalada, y nos conectamos vía ssh:

En la instalación limpia, tenía un error en el acceso a phpmyadmin, que se soluciona siguiendo este post.

Posteriormente, si queremos varias versiones de php en la máquina, podemos utilizar phpBrew.
Para la instalación nos podemos basar en el proyecto VestaCP-MultiPHP, de modo que podamos configurar cada usuario/dominio con su plantilla de Apache (php version) adecuada.
Unas pequeñas notas sobre la instalación:

  • Al hacer la instalación he tenido un error de dependencias incumplidas (lo he solucionado haciendo un apt-get install -f ).
  • Es necesario tener instalado g++ para poder compilar las versiones de php (apt-get install g++).
  • Toda la instalación la he realizado con el usuario root (sin sudo)
  • Ojo, con el bug: https://git.scit.ch/rs/VestaCP-MultiPHP/issues/1

Leave a Reply

Your email address will not be published. Required fields are marked *